Skip to main content

Retrieve Payment Methods

To display payment methods on your store page, first retrieve them from PayU. You can then assign them to buttons on your website to present the available methods consistently.

To retrieve payment methods, you first need to obtain an OAuth access token (see the Authorizing the Request section and the Authorize section in our API Reference).

GET Request Body

When making GET requests, please remember not to include any data in the request body, as specified in the RFC 9110 standard. Requests that do not adhere to this requirement will be rejected by PayU with an HTTP 403 status.

Then send a GET request to the /api/v2_1/paymethods endpoint, including the token in the Authorization header.

Example of a Request to Retrieve Payment Methods in the Production Environment
curl -X GET https://secure.payu.com/api/v2_1/paymethods \
-H "Authorization: Bearer 87ad751f-7ea5-4023-a16f-04b6647a07f5" \
-H "Cache-Control: no-cache"

If the request is successful, you will receive a response containing all available payment methods.

Example of a Successful Response (HTTP 200)
{
"payByLinks":[
{
"value":"c",
"name":"Płatność online kartą płatniczą",
"brandImageUrl":"http://static.payu.com/images/mobile/logos/pbl_c.png",
"status":"ENABLED",
"minAmount": 50,
"maxAmount": 100000
},
{
"value":"o",
"name":"Pekao24Przelew",
"brandImageUrl":"http://static.payu.com/images/mobile/logos/pbl_o_off.png",
"status":"DISABLED",
"minAmount": 50,
"maxAmount": 100000
},
{
"value":"ab",
"name":"Płacę z Alior Bankiem",
"brandImageUrl":"http://static.payu.com/images/mobile/logos/pbl_ab_off.png",
"status":"TEMPORARY_DISABLED",
"minAmount": 50,
"maxAmount": 100000
}
]
}

For details about the parameters and authorization methods, see the Retrieve All Available Payment Methods section in our API Reference.